Bug 79556

Summary: Fix the CopiedBlock offset alignment in a cross platform fashion
Product: WebKit Reporter: Mark Hahnenberg <mhahnenberg>
Component: JavaScriptCoreAssignee: Mark Hahnenberg <mhahnenberg>
Status: RESOLVED FIXED    
Severity: Normal CC: fpizlo, harrison, webkit.review.bot, zherczeg
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Mark Hahnenberg 2012-02-24 20:45:07 PST
Differences in compilers can cause badness with the way we currently do the padding of CopiedBlock to ensure that the payload is 8-byte aligned. We can refactor CopiedBlock in such a way as to make this a non-issue.
Comment 1 Mark Hahnenberg 2012-02-24 21:01:39 PST
Created attachment 128846 [details]
Patch
Comment 2 Filip Pizlo 2012-02-24 21:03:51 PST
Comment on attachment 128846 [details]
Patch

Looks right.
Comment 3 WebKit Review Bot 2012-02-25 00:06:15 PST
The commit-queue encountered the following flaky tests while processing attachment 128846 [details]:

inspector/protocol/console-agent.html bug 79563 (authors: caseq@chromium.org, loislo@chromium.org, and pfeldman@chromium.org)
The commit-queue is continuing to process your patch.
Comment 4 WebKit Review Bot 2012-02-25 00:07:59 PST
Comment on attachment 128846 [details]
Patch

Clearing flags on attachment: 128846

Committed r108888: <http://trac.webkit.org/changeset/108888>
Comment 5 WebKit Review Bot 2012-02-25 00:08:03 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Zoltan Herczeg 2012-02-25 09:19:08 PST
Nice. m_dummy should be deleted as well.
Comment 7 David Harrison 2012-02-27 10:48:36 PST
Mark's comments in Radar that he believes this resolves rdar://10937628.